<?php
	#### Funciones ####
	/*
	Versión: V1.0
	Autor: @JhovanSolano
	Proyecto: Switch Point
	*/



	function now(){
		$fecha = date ("Y-m-d H:i:s");
		return($fecha);
	}


	function celular($valor){
		$rest1 = substr($valor, 0, 2);
		$rest2 = substr($valor, 2, 4);
		$rest3 = substr($valor, 6, 4);
		$cel = $rest1.'-'.$rest2.'-'.$rest3;
		return($cel);
	}

	//Cambio de Formato de Fecha Texto a Numerica
  function cambio_fecha_texto_numerica($Fecha){
  	$MonthText = array(
			'Enero' => '01',
      'Febrero' => '02',
      'Marzo' => '03',
      'Abril' => '04',
      'Mayo' => '05',
      'Junio' => '06',
      'Julio' => '07',
      'Agosto' => '08',
      'Septiembre' => '09',
      'Octubre' => '10',
      'Noviembre' => '11',
      'Diciembre' => '12');
    $FechaChange = explode(" / ", $Fecha);
    $Dia	 	  = $FechaChange[0];
  	$MesText  = $FechaChange[1];
  	$Ano 		  = $FechaChange[2];
  	$Mes 		  = $MonthText[$MesText];
  	$Fecha 		= $Ano.'-'.$Mes.'-'.$Dia;
  	return $Fecha;
  }

  //Cambio de Formato de Fecha Numerica a Texto
  function cambio_fecha_numerica_texto($Fecha){
  	$MonthText = array(
			'01' => 'Enero',
      '02' => 'Febrero',
      '03' => 'Marzo',
      '04' => 'Abril',
      '05' => 'Mayo',
      '06' => 'Junio',
      '07' => 'Julio',
      '08' => 'Agosto',
      '09' => 'Septiembre',
      '10' => 'Octubre',
      '11' => 'Noviembre',
      '12' => 'Diciembre');
    $FechaChange = explode("-", $Fecha);
    $Dia	 	  = $FechaChange[2];
  	$MesText  = $FechaChange[1];
  	$Ano 		  = $FechaChange[0];
  	$Mes 		  = $MonthText[$MesText];
  	$Fecha 		= $Dia.' / '.$Mes.' / '.$Ano;
  	return $Fecha;
  }

	//Tamño de Imagen
	function getHeight($image) {
		$size = getimagesize($image);
		$height = $size[1];
		return $height;
	}
	function getWidth($image) {
		$size = getimagesize($image);
		$width = $size[0];
		return $width;
	}

?>
